API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

Create presigned upload URL

POST/files/v1/upload-url

S3 presigned URL flow for upload/download with file metadata persistence.

Request Body

NameTypBeschreibung
fileNameerforderlichstring
mimeTypeerforderlichstring
sizeByteserforderlichnumber
entityTypeerforderlichstring
entityIderforderlichstring

Beispiel

curl -X POST https://api.codemeta-os.de/files/v1/upload-url \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "fileName": "string",
  "mimeType": "string",
  "sizeBytes": 0,
  "entityType": "string",
  "entityId": "string"
}'
const result = await cm.files.post({
  "fileName": "string",
  "mimeType": "string",
  "sizeBytes": 0,
  "entityType": "string",
  "entityId": "string"
});

Antwortcodes

HTTP Bedeutung
201 Default Response

Suche